[JDCTeam] Optimized LineageOS18.1 v2.0 [29Jan]

stuckj

New member
Feb 11, 2013
4
0
21
Huh. And just like that, wiping several times and rebooting and I got it working by flashing 16, then 17.1, then 18.1. :p This time with ONLY the ROM (I was doing gapps at the same time). Can try gapps now that it boots.
 

Yousef_Alwajih

New member
Sep 4, 2017
2
0
1
First of all thank you side and all the devs you work with to keep this beast alive 💙
The V2 works great for me except that USB OTG doesn't mount,
There's a toast that says "preparing USB device..." but the usb storage doesn't appear anywhere, though it appears in recovery mode
 

YamiYukiSenpai

Senior Member
Oct 7, 2014
300
33
48
Huh. And just like that, wiping several times and rebooting and I got it working by flashing 16, then 17.1, then 18.1. :p This time with ONLY the ROM (I was doing gapps at the same time). Can try gapps now that it boots.
Were you also able to flash Magisk as well?

I tried to flash this ROM & Resurrection Remix, but they're currently get stuck in a bootloop.

I was hoping that flashing the combined bootloader & modem firmware would fix it, but nope.

Here's my current partition that I've been using since 2014/2015:

* System - ext4
* Cache - f2fs
* Data - f2fs
 
Last edited:

Retrial

Recognized Contributor
Jun 10, 2015
952
1,295
133
Athens
Were you also able to flash Magisk as well?

I tried to flash this ROM & Resurrection Remix, but they're currently get stuck in a bootloop.

I was hoping that flashing the combined bootloader & modem firmware would fix it, but nope.

Here's my current partition that I've been using since 2014/2015:

* System - ext4
* Cache - f2fs
* Data - f2fs
Don't use f2fs, follow the steps in my guides. You can find my collection and guides in OP.
Does this ROM not support 3.5 that's in the official TWRP page??
Read OP at TWRP section. You can use official twrp or jdc twrp. I use official twrp 3.5 and working fine.
 
  • Like
Reactions: pocketrule

therob2

Member
Jun 17, 2020
11
5
3
Is this optimized-LOS18.1 (and also optimized-LOS17.1) really NOT usable for GT-I9515 (jfvelte)?
Device list for opt-18.1 seems same as for opt-17.1 and for both the I9515 is not mentioned although at least an official-LOS17.1 exists (as it is also for GT-I9505 (jfltexx)) - is this intentionally? Why?

Sidequestion 1: Should a dirty flash between official17.1 <-> opt17.1 and official18.1<-->opt18.1 work in principle (although I know it is not recommended)? And dirty flash from opt17.1-->opt18.1 should work?

Sidequestion 2: And did I miss something: optimized18.1 for GT-I9505 (jfltexx) is already at v2 while there not yet is an official18.1? How this could be? I could not even find a preview thread for official18.1...

(I have one GT-I9505 (jfltexx) and four GT-I9515 (jfvelte) - at the moment all using official-17.1 but having reboot-problems related to power button with the one I9505 and I think to change to optimized one but want to avoid wiping data...)


Thanks for help, cheers, Robert
 

Retrial

Recognized Contributor
Jun 10, 2015
952
1,295
133
Athens
Is this optimized-LOS18.1 (and also optimized-LOS17.1) really NOT usable for GT-I9515 (jfvelte)?
Device list for opt-18.1 seems same as for opt-17.1 and for both the I9515 is not mentioned although at least an official-LOS17.1 exists (as it is also for GT-I9505 (jfltexx)) - is this intentionally? Why?

Optimized LineageOS support only the variants wich has same hardware as GT-I9505. The dev of Optimized LineageOS has GT-I9505 variant.

I9515 variant has different hardware. One of the developers of Official LOS has this device and so he made the ROM for your variant
.


Sidequestion 1: Should a dirty flash between official17.1 <-> opt17.1 and official18.1<-->opt18.1 work in principle (although I know it is not recommended)? And dirty flash from opt17.1-->opt18.1 should work?

Clean flash between Official and Optlos. However you can try to take backup of your data to PC or to sdcard and try to dirty flash according my dirty installation guide.
Only Official builds can be upgraded from one android version to another without losing data and working properly, however clean installation recommend for both situations.


Sidequestion 2: And did I miss something: optimized18.1 for GT-I9505 (jfltexx) is already at v2 while there not yet is an official18.1? How this could be? I could not even find a preview thread for official18.1...

Official LOS is not available yet as far I know for any device atm, not even for my POCO F1 yet. Only unofficial builds.
Optimized LineageOS can be considered as unofficial.
When the Official LOS will be start rolling out globally, I guess devs of S4 will push update too.


(I have one GT-I9505 (jfltexx) and four GT-I9515 (jfvelte) - at the moment all using official-17.1 but having reboot-problems related to power button with the one I9505 and I think to change to optimized one but want to avoid wiping data...)

Thanks for help, cheers, Robert
I have answered with green color to your questions above.
 

basti_b24

Senior Member
Feb 3, 2014
70
21
28
s/goes/works/

I'm sorry to say that moving backwards doesn't help us to get any info's why it doesn't work with V2.

so to iterate:
if you had tested with my apps on V2 and it wouldn't work there we could say or have gotten an indication that GPS in V2 is broken on your device somehow.

now there is no win - apart from your again working GPS on V1, what we btw. already knew before ! - to move LOS forward or to fix a maybe creeped in bug.

to me it seems it's also a "loss": you're now on and need to stay(!) with V1 and don't get the goodies from V2.

was that what you want ?
no working V2 on your device, yeah ?
I confirm hereby that GPSTest finds adequate Position. It detects GPS and Glonass satellites.
 

Retrial

Recognized Contributor
Jun 10, 2015
952
1,295
133
Athens
Anyone with an att/vzw s4 still using these ROMs? What for root alternatives are there, aside from magisk? Because loki patches boot.img, flashing magisk causes jflteatt to hang at the Samsung boot screen everytime. Supersu fails to patch boot, too.
https://topjohnwu.github.io/Magisk/install.html I don't know if you can find any answer here, but take a look.
 
  • Like
Reactions: pocketrule

Skyty

Senior Member
Mar 5, 2012
91
5
28
Does anyone know if NetGuard or Orbot works with this version? I believe I have LineageOS 17 on my phone and anytime I enable some VPN type thing it just disables my internet connection.

Side note; Tor won't even install.